/*
* This file was generated by a tool.
* Rerun sql-ts to regenerate this file.
*/
export interface aclData {
  'entity_id': number;
  'entity_type'?: number;
  'id'?: number;
  'pACL'?: boolean;
  'pDelete'?: boolean;
  'pRead'?: boolean;
  'pWrite'?: boolean;
  'resource_id': number;
  'resource_type'?: number;
}

/* Table to store collaboration invites */
export interface collaboration_invitesData {
  
  /* The time the invite was accepted, NULL if not accepted */
  'accepted_at'?: Date | null;
  
  /* The book the invite is for (might change to general resource in the future) */
  'book_id': number;
  
  /* The time the invite was created */
  'created_at'?: Date;
  
  /* The time the invite expires */
  'expire_at'?: Date;
  'id'?: number;
  
  /* The user who invited the user to collaborate */
  'invited_by': number;
  
  /* The user who is invited to collaborate */
  'user_id': number;
}
export interface collaboration_invites_with_emailsData {
  
  /* The time the invite was accepted, NULL if not accepted */
  'accepted_at'?: Date | null;
  
  /* The book the invite is for (might change to general resource in the future) */
  'book_id': number;
  
  /* The time the invite was created */
  'created_at'?: Date;
  'credential_ids'?: string | null;
  'credential_types'?: string | null;
  'emails'?: string | null;
  'emails_verified'?: string | null;
  
  /* The time the invite expires */
  'expire_at'?: Date;
  'id'?: number;
  
  /* The user who invited the user to collaborate */
  'invited_by': number;
  'invited_by_credential_ids'?: string | null;
  'invited_by_credential_types'?: string | null;
  'invited_by_emails'?: string | null;
  'invited_by_emails_verified'?: string | null;
  
  /* The id of the primary credential for the user */
  'invited_by_primary_credential_id'?: number | null;
  
  /* The id of the primary credential for the user */
  'primary_credential_id'?: number | null;
  
  /* The user who is invited to collaborate */
  'user_id': number;
}
export interface credentialsData {
  'created'?: Date;
  
  /* The type of the credential */
  'credential_type': 'password' | 'sso';
  
  /* The email of the user. */
  'email': string;
  
  /* Whether the email has been verified. */
  'email_verified'?: boolean;
  
  /* Unique identifier for the credential */
  'id'?: number;
  'last_updated'?: Date;
  
  /* The hashed password of the user. Including salt, for 'password' credentials only. */
  'password_hash'?: string | null;
  
  /* Identifier for the provider, NULL for 'password' credentials */
  'provider_id'?: string | null;
  
  /* The unique id of the user at the provider. NULL for 'password' credentials. */
  'provider_user_id'?: string | null;
  
  /* The id of the user the credential belongs to */
  'user_id': number;
}
export interface entity_typesData {
  'description': string;
  'entity_type': string;
  'id': number;
}

/* The fonts that can be used in the text editor and for snips */
export interface fontsData {
  
  /* The file name of the font (in app/public/fonts) */
  'fname'?: string;
  'id'?: number;
  'name': string;
}
export interface groupsData {
  'created'?: Date;
  'description'?: string | null;
  'id'?: number;
  'last_updated'?: Date;
  'name': string;
}
export interface last_loginsData {
  
  /* Unique identifier for the last login */
  'id'?: number;
  
  /* The last IP address the user logged in from (ipv4 or ipv6) */
  'ip'?: string | null;
  
  /* The last login time of the user */
  'time'?: Date;
  
  /* The id of the user */
  'user_id': number;
}
export interface resource_typesData {
  'id': number;
  'resource_type': string;
}
export interface tokensData {
  'book_id': number;
  'created_at'?: Date;
  'created_by': number;
  'description'?: string | null;
  
  /* The time the token expires (only for ui tokens) */
  'expires_at'?: Date | null;
  
  /* Hashed token for api token, raw token for ui token */
  'hashed_token': string;
  'id'?: number;
  
  /* The type of token (api or ui) */
  'type'?: string;
}
export interface tokens_users_resolvedData {
}

/* The user configs for the app */
export interface user_configData {
  'id'?: number;
  'last_updated'?: Date;
  
  /* The color of the pen */
  'pen_color'?: string;
  
  /* The colors of the pens the user can use in the quick select */
  'pen_colors'?: string | null;
  
  /* The size of the pen */
  'pen_size'?: number;
  
  /* The smoothness of the pen */
  'pen_smoothing'?: number;
  'text_font_id'?: number;
  
  /* The color of the text */
  'text_fontColor'?: string;
  
  /* The size of the text */
  'text_fontSize'?: number;
  
  /* The line height of the text */
  'text_lineHeight'?: number;
  
  /* The line wrap of the text editor (in pixels) */
  'text_lineWrap'?: number;
  
  /* The preferred color used to show the user. If NULL a random value should be generated. */
  'user_color'?: string | null;
  'user_id': number;
  
  /* The zoom level for the first page */
  'zoom1'?: number;
  
  /* The zoom level for the second page */
  'zoom2'?: number;
}
export interface user_config_resolvedData {
  'id'?: number;
  'last_updated'?: Date;
  
  /* The color of the pen */
  'pen_color'?: string;
  
  /* The colors of the pens the user can use in the quick select */
  'pen_colors'?: string | null;
  
  /* The size of the pen */
  'pen_size'?: number;
  
  /* The smoothness of the pen */
  'pen_smoothing'?: number;
  'text_font'?: string | null;
  'text_font_id'?: number;
  
  /* The color of the text */
  'text_fontColor'?: string;
  
  /* The size of the text */
  'text_fontSize'?: number;
  
  /* The line height of the text */
  'text_lineHeight'?: number;
  
  /* The line wrap of the text editor (in pixels) */
  'text_lineWrap'?: number;
  
  /* The preferred color used to show the user. If NULL a random value should be generated. */
  'user_color'?: string | null;
  'user_id': number;
  
  /* The zoom level for the first page */
  'zoom1'?: number;
  
  /* The zoom level for the second page */
  'zoom2'?: number;
}
export interface usersData {
  'created'?: Date;
  'id'?: number;
  'last_updated'?: Date;
  
  /* The id of the primary credential for the user */
  'primary_credential_id'?: number | null;
}
export interface users_groupsData {
  'group_id': number;
  
  /* The time the user joined the group if role is invited is the date the user was invited */
  'joined_at'?: Date;
  
  /* The role of the user in the group */
  'role'?: 'owner' | 'moderator' | 'member' | 'invited';
  'user_id': number;
}
export interface users_groups_with_emailsData {
  'credential_ids'?: string | null;
  'credential_types'?: string | null;
  'emails'?: string | null;
  'emails_verified'?: string | null;
  'group_description'?: string | null;
  'group_id': number;
  'group_name'?: string | null;
  
  /* The time the user joined the group if role is invited is the date the user was invited */
  'joined_at'?: Date;
  
  /* The id of the primary credential for the user */
  'primary_credential_id'?: number | null;
  
  /* The role of the user in the group */
  'role'?: 'owner' | 'moderator' | 'member' | 'invited';
  'user_id': number;
}
export interface users_with_emailsData {
  'created'?: Date;
  'credential_ids'?: string | null;
  'credential_provider_ids'?: string | null;
  'credential_types'?: string | null;
  'emails'?: string | null;
  'emails_verified'?: string | null;
  'id'?: number;
  'last_updated'?: Date;
  
  /* The id of the primary credential for the user */
  'primary_credential_id'?: number | null;
}
export interface users_with_primary_emailData {
  'created'?: Date;
  'id'?: number;
  'last_updated'?: Date;
  
  /* The id of the primary credential for the user */
  'primary_credential_id'?: number | null;
  
  /* The email of the user. */
  'primary_email'?: string | null;
  
  /* Whether the email has been verified. */
  'primary_email_verified'?: boolean | null;
}
export interface background_typesData {
  'created'?: Date | null;
  'description'?: string | null;
  'id'?: number;
  'name': string;
}
export interface blobsData {
  'created'?: Date;
  'data': any;
  'hash'?: string | null;
  'id'?: number;
  'last_updated'?: Date;
  'mime': string;
  'size': number;
}
export interface booksData {
  'comment'?: string | null;
  'cover_page_id'?: number | null;
  'created'?: Date | null;
  'default_background_type_id'?: number;
  'finished'?: Date | null;
  'id'?: number;
  'last_updated'?: Date;
  'owner_group_id'?: number | null;
  'owner_user_id'?: number | null;
  
  /* The title of the book */
  'title': string;
}
export interface books_instrumentsData {
  'book_id': number;
  'instrument_id': number;
}
export interface books_resolvedData {
  'background_type_description'?: string | null;
  'background_type_name'?: string | null;
  'comment'?: string | null;
  'cover_page_id'?: number | null;
  'created'?: Date | null;
  'default_background_type_id'?: number;
  'finished'?: Date | null;
  'id'?: number;
  'last_updated'?: Date;
  'num_pages'?: number;
  'owner_id'?: number | null;
  'owner_name'?: string | null;
  'owner_type'?: string;
  
  /* The title of the book */
  'title': string;
}
export interface browserFoldersData {
  'comment'?: string | null;
  'created'?: Date;
  'id'?: number;
  'name': string;
  
  /* The parent folder of this folder, if null then this is in the users root folder */
  'parent_id'?: number | null;
  
  /* The user that owns this folder */
  'user_id': number;
}

/* The folders hold these books */
export interface browserFolders_booksData {
  'book_id': number;
  'browserFolder_id': number;
  'user_id': number;
}
export interface browserViewData {
  'comment'?: string | null;
  'created'?: Date | null;
  'finished'?: Date | null;
  'id'?: string | null;
  'isDir'?: number;
  'last_updated'?: Date | null;
  'name'?: string;
  'numPages'?: number | null;
  'owner'?: string | null;
  'parentId'?: string | null;
  'user_id'?: number | null;
}
export interface instrumentsData {
  'created'?: Date;
  'description': string;
  'id'?: number;
  'last_updated'?: Date;
  'name': string;
}
export interface pagesData {
  'background_type_id'?: number | null;
  'book_id': number;
  'created'?: Date | null;
  'id'?: number;
  'last_updated'?: Date;
  'page_number'?: number | null;
  
  /* The page that this page references. */
  'referenced_page_id'?: number | null;
}
export interface pagesViewData {
  'background_type_id'?: number | null;
  'book_id': number;
  'created'?: Date | null;
  'id'?: number;
  'last_updated'?: Date;
  'page_number'?: number | null;
  'referenced_book_id'?: number | null;
  
  /* The page that this page references. */
  'referenced_page_id'?: number | null;
}
export interface snipsData {
  'blob_id'?: number | null;
  'book_id': number;
  'created'?: Date | null;
  'created_by'?: number | null;
  'data_json'?: string | null;
  'hide'?: boolean | null;
  'id'?: number;
  'last_updated'?: Date;
  'page_id'?: number | null;
  'type'?: string | null;
  'view_json'?: string | null;
}
export enum background_types {
  'blank' = 1,
  'checkered 4mm x 4mm' = 2,
  'lined 7mm' = 3,
}
